#pragma once

#include "vdef.h"

namespace vCommon
{

//-----------------------------------------------------------------------------
//
	class net
	{
	public:

		//	buf <= u16
		static void set_16 ( byte* buf, int& offset, u16 value );

		//	buf <= u32
		static void set_32 ( byte* buf, int& offset, u32 value );

		//	buf => i16
		static i16 get_i16 ( byte* buf, int& offset );

		//	buf => u16
		static u16 get_u16 ( byte* buf, int& offset );

		//	buf => i32
		static i32 get_i32 ( byte* buf, int& offset );

		//	buf => u32
		static u32 get_u32 ( byte* buf, int& offset );

		//	copy
		static void copy ( byte* dst, int& dst_offset, byte* src, int src_offset, int src_size );
	};

} /* namespace vCommon */
